# Profile compact2

### jdk.nashorn.api.scripting

Interface Summary
ClassFilter: Class filter (optional) to be used by nashorn script engine.
JSObject: This interface can be implemented by an arbitrary Java class.

Class Summary
AbstractJSObject: This is the base class for nashorn ScriptObjectMirror class.
NashornScriptEngine: JSR-223 compliant script engine for Nashorn.
NashornScriptEngineFactory: JSR-223 compliant script engine factory for Nashorn.
ScriptObjectMirror: Mirror object that wraps a given Nashorn Script object.
ScriptUtils: Utilities that are to be called from script code.
URLReader: A Reader that reads from a URL.

Exception Summary
NashornException: This is base exception for all Nashorn exceptions.